> ## Documentation Index
> Fetch the complete documentation index at: https://api-tools.memories.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Persons

> List persons

<Info>
  **Product**: Video Datalake
  **Host**: `https://api.memories.ai/datalake/v1`
  **Auth**: `Authorization: sk-mai-...`
</Info>

List persons in a collection.

<Note>
  **Pricing:** Free — management / read (no charge). · See [Pricing](/datalake/pricing) for the full model.
</Note>

## Response Fields

<ResponseField name="persons" type="array">`[{person_id, name, status, face_count, metadata, created_at}]`.</ResponseField>
<ResponseField name="next_cursor" type="string">Next-page cursor.</ResponseField>


## OpenAPI

````yaml GET /datalake/v1/persons
openapi: 3.1.0
info:
  title: Memories.ai DataLake API 2.0
  version: 2026-08
  description: OpenAPI mapping used by Mintlify Try it for the DataLake API 2.0 docs.
servers:
  - url: https://api.memories.ai
security:
  - ApiKeyAuth: []
paths:
  /datalake/v1/persons:
    get:
      tags:
        - Persons (Face Library)
      summary: List persons
      description: List persons in a collection.
      operationId: list_persons
      parameters:
        - name: collection_id
          in: query
          required: true
          schema:
            type: string
          description: Collection.
        - name: status
          in: query
          required: false
          schema:
            type: string
          description: '`processing` | `ready` | `failed`.'
        - name: cursor
          in: query
          required: false
          schema:
            type: string
          description: Pagination cursor.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
          description: 1–100 (default 20).
      responses:
        '200':
          description: Success
          content:
            application/json:
              example:
                persons:
                  - person_id: per_xxx
                    name: Alice
                    status: ready
                    face_count: 2
                    metadata: {}
                    created_at: …
                next_cursor: null
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Send `Authorization: sk-mai-...`'

````